Bug 617877 - Review Request: txmpp - A C++ XMPP library
Review Request: txmpp - A C++ XMPP library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chen Lei
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-24 11:46 EDT by Silas Sewell
Modified: 2010-07-26 19:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 19:50:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Silas Sewell 2010-07-24 11:46:10 EDT
Spec Url:
http://github.com/tidg/rpms/raw/master/txmpp/txmpp.spec

SRPM Url:
http://github.com/downloads/tidg/rpms/txmpp-0.0.2-1.fc14.src.rpm

Description:
txmpp is a permissively licensed C++ XMPP library.

rpmlint

[silas@tidg rpmbuild]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Chen Lei 2010-07-25 02:16:25 EDT
Spec is sane, only some minor issues:

1.BuildRequires:    expat2-devel >= 2.0.1

expat2 don't exist in both Fedora and EPEL, why add expat2-devel as a BR? 

2.%files devel
%doc README.md
You can safely ignore some rpmlint warnings(e.g. no documentation, wrong spell, etc.), duplicate files in %file are not needed normally.

3. Group for main package should be System Environment/Libraries
Comment 2 Silas Sewell 2010-07-25 10:00:09 EDT
SRPM URL:
http://github.com/downloads/tidg/rpms/txmpp-0.0.2-2.fc13.src.rpm

1. This is a convenience flag for people wishing to use it on EL 5. txmpp requires expat 2.01 and EL 5 ships with expat 1.95. This allows someone to grab version 2.01 of expat and rename it to expat2 and it just works. I currently host a separate repository for EL 5 which does just that (http://github.com/tidg/rpms).

Obviously this package isn't valid for EPEL 5.

I can remove the flag for Fedora/EPEL6 if required.

2. Fixed

3. Fixed

Thanks for looking it over.
Comment 3 Silas Sewell 2010-07-25 10:01:22 EDT
Forgot the rpmlint:

[silas@tidg rpmbuild]$ rpmlint /var/lib/mock/fedora-13-x86_64/result/*.rpm
txmpp-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 4 Silas Sewell 2010-07-25 21:46:21 EDT
Spec Url:
http://github.com/silas/rpms/raw/master/txmpp/txmpp.spec

SRPM Url:
http://github.com/downloads/silas/rpms/txmpp-0.0.2-3.fc14.src.rpm

Move into my personal repository and removed expat2.

[silas@tidg rpmbuild]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
txmpp-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 5 Chen Lei 2010-07-25 23:23:01 EDT
formal review here:
+:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this
list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
<<md5sum checksum>>dec646a9113aaada5eb423bfcd0f5a92
[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[=] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[=] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.


This package is approved!
Comment 6 Silas Sewell 2010-07-26 07:47:52 EDT
Thanks for the review Chen Lei!

New Package CVS Request
=======================
Package Name: txmpp
Short Description: C++ XMPP library
Owners: silas
Branches: F-13 EL-6
InitialCC:
Comment 7 Kevin Fenzi 2010-07-26 18:36:29 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Silas Sewell 2010-07-26 19:50:05 EDT
Built and pushed.

Thanks all.

Note You need to log in before you can comment on or make changes to this bug.